Upstream information

CVE-2018-16868 at MITRE

Description

A Bleichenbacher type side-channel based padding oracle attack was found in the way gnutls handles verification of RSA decrypted PKCS#1 v1.5 data. An attacker who is able to run process on the same physical core as the victim process, could use this to extract plaintext or in some cases downgrade any TLS connections to a vulnerable server.

SUSE information

Overall state of this security issue: Running

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 3.3
Vector AV:L/AC:M/Au:N/C:P/I:P/A:N
Access Vector Local
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact None
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 5.6 5.3
Vector AV:P/AC:H/PR:L/UI:N/S:C/C:H/I:L/A:N AV:L/AC:H/PR:H/UI:N/S:C/C:H/I:N/A:N
Access Vector Physical Local
Access Complexity High High
Privileges Required Low High
User Interaction None None
Scope Changed Changed
Confidentiality Impact High High
Integrity Impact Low None
Availability Impact None None
SUSE Bugzilla entries: 1117951 [IN_PROGRESS], 1118087 [CONFIRMED], 1134856 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Module for Basesystem 15
  • gnutls >= 3.6.7-6.11.1
  • libgnutls-devel >= 3.6.7-6.11.1
  • libgnutls30 >= 3.6.7-6.11.1
  • libgnutls30-32bit >= 3.6.7-6.11.1
  • libgnutlsxx-devel >= 3.6.7-6.11.1
  • libgnutlsxx28 >= 3.6.7-6.11.1
Patchnames:
SUSE-SLE-Module-Basesystem-15-2019-1121
SUSE-SLE-Module-Basesystem-15-2019-1351
SUSE Linux Enterprise Module for Basesystem 15 SP1
  • gnutls >= 3.6.7-6.11.1
  • libgnutls-devel >= 3.6.7-6.11.1
  • libgnutls30 >= 3.6.7-6.11.1
  • libgnutls30-32bit >= 3.6.7-6.11.1
  • libgnutlsxx-devel >= 3.6.7-6.11.1
  • libgnutlsxx28 >= 3.6.7-6.11.1
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 SP1 GA gnutls
SUSE-SLE-Module-Basesystem-15-SP1-2019-1351
SUSE Linux Enterprise Module for Desktop Applications 15
  • gnutls >= 3.6.7-6.11.1
  • libgnutls30-32bit >= 3.6.7-6.11.1
Patchnames:
SUSE-SLE-Module-Desktop-Applications-15-2019-1121
SUSE-SLE-Module-Desktop-Applications-15-2019-1351
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15
  • gnutls >= 3.6.7-6.11.1
  • gnutls-guile >= 3.6.7-6.11.1
Patchnames:
SUSE-SLE-Module-Development-Tools-OBS-15-2019-1121
SUSE-SLE-Module-Development-Tools-OBS-15-2019-1351
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 SP1
  • gnutls >= 3.6.7-6.11.1
  • gnutls-guile >= 3.6.7-6.11.1
  • libgnutls-devel-32bit >= 3.6.7-6.11.1
Patchnames:
SUSE-SLE-Module-Development-Tools-OBS-15-SP1-2019-1351
openSUSE Leap 15.0
  • gnutls >= 3.6.7-lp150.12.1
  • gnutls-debuginfo >= 3.6.7-lp150.12.1
  • gnutls-debugsource >= 3.6.7-lp150.12.1
  • gnutls-guile >= 3.6.7-lp150.12.1
  • gnutls-guile-debuginfo >= 3.6.7-lp150.12.1
  • libgnutls-dane-devel >= 3.6.7-lp150.12.1
  • libgnutls-dane0 >= 3.6.7-lp150.12.1
  • libgnutls-dane0-debuginfo >= 3.6.7-lp150.12.1
  • libgnutls-devel >= 3.6.7-lp150.12.1
  • libgnutls-devel-32bit >= 3.6.7-lp150.12.1
  • libgnutls30 >= 3.6.7-lp150.12.1
  • libgnutls30-32bit >= 3.6.7-lp150.12.1
  • libgnutls30-32bit-debuginfo >= 3.6.7-lp150.12.1
  • libgnutls30-debuginfo >= 3.6.7-lp150.12.1
  • libgnutlsxx-devel >= 3.6.7-lp150.12.1
  • libgnutlsxx28 >= 3.6.7-lp150.12.1
  • libgnutlsxx28-debuginfo >= 3.6.7-lp150.12.1
Patchnames:
openSUSE-2019-1353
openSUSE-2019-1477
openSUSE Leap 15.1
  • gnutls >= 3.6.7-lp151.2.3.1
  • gnutls-debuginfo >= 3.6.7-lp151.2.3.1
  • gnutls-debugsource >= 3.6.7-lp151.2.3.1
  • gnutls-guile >= 3.6.7-lp151.2.3.1
  • gnutls-guile-debuginfo >= 3.6.7-lp151.2.3.1
  • libgnutls-dane-devel >= 3.6.7-lp151.2.3.1
  • libgnutls-dane0 >= 3.6.7-lp151.2.3.1
  • libgnutls-dane0-debuginfo >= 3.6.7-lp151.2.3.1
  • libgnutls-devel >= 3.6.7-lp151.2.3.1
  • libgnutls-devel-32bit >= 3.6.7-lp151.2.3.1
  • libgnutls30 >= 3.6.7-lp151.2.3.1
  • libgnutls30-32bit >= 3.6.7-lp151.2.3.1
  • libgnutls30-32bit-debuginfo >= 3.6.7-lp151.2.3.1
  • libgnutls30-debuginfo >= 3.6.7-lp151.2.3.1
  • libgnutlsxx-devel >= 3.6.7-lp151.2.3.1
  • libgnutlsxx28 >= 3.6.7-lp151.2.3.1
  • libgnutlsxx28-debuginfo >= 3.6.7-lp151.2.3.1
Patchnames:
openSUSE-2019-1477


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 12 SP3 gnutls Affected
SUSE Linux Enterprise Desktop 12 SP4 gnutls Affected
SUSE Linux Enterprise High Availability Extension 11 SP4 gnutls Affected
SUSE Linux Enterprise High Performance Computing 12 gnutls Affected
SUSE Linux Enterprise Module for Basesystem 15 GA gnutls Released
SUSE Linux Enterprise Module for Basesystem 15 SP1 gnutls Released
SUSE Linux Enterprise Module for Desktop Applications 15 GA gnutls Released
SUSE Linux Enterprise SDK 11 SP4 gnutls Affected
SUSE Linux Enterprise SDK 12 SP3 gnutls Affected
SUSE Linux Enterprise SDK 12 SP4 gnutls Affected
SUSE Linux Enterprise Server 11 SP3 LTSS gnutls Affected
SUSE Linux Enterprise Server 11 SP4 gnutls Affected
SUSE Linux Enterprise Server 12 GA LTSS gnutls Affected
SUSE Linux Enterprise Server 12 SP1 LTSS gnutls Affected
SUSE Linux Enterprise Server 12 SP2 LTSS gnutls Affected
SUSE Linux Enterprise Server 12 SP3 gnutls Affected
SUSE Linux Enterprise Server 12 SP4 gnutls Affected
SUSE Linux Enterprise Server for SAP Applications 11 SP3 gnutls Affected
SUSE Linux Enterprise Server for SAP Applications 12 GA gnutls Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 gnutls Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 gnutls Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 gnutls Affected